Разработки проекта PuppyRus > Программирование и компиляция

Репозиторий совместимый с ubuntu 22; 24

(1/1)

sfs:

--- Код ---
deb [trusted=yes] http://mirror.yandex.ru/puppyrus/lf/u22/pkg jammy main contrib non-free
--- Конец кода ---

или

--- Код ---
deb [trusted=yes] http://mirror.yandex.ru/puppyrus/lf/u22/pkg noble main contrib non-free
--- Конец кода ---

На самом деле здесь в основном софт (типа gtkdialog и т.п), который будет работать почти в любом дебиан. Либ, которые заместили бы родные и сломали вашу систему нет

По умолчанию, совпадающие по названиям пакеты будут браться из родной репы дистра
Чтобы брались из моей :

--- Код ---
echo "\       
Package: *                                                                                                     
Pin: release o=Ubuntu,a=stable,n=jammy                                                                               
Pin-Priority: 1010
" > /etc/apt/preferences.d/lfu22.pref
--- Конец кода ---
Чтобы повысить приоритет только одного пакета : Package: нужный_пакет*
Новичкам лучше : скачайте браузером нужный_пакет.deb из https://mirror.yandex.ru/puppyrus/lf/u22/pkg/pool/ и установите локально :

--- Код ---
sudo apt install /путь/нужный_пакет.deb
--- Конец кода ---

C gpg подписями пока заморачиваться не стал
Сейчас в моей репе:
jammy|main|amd64 pool/main/g/galculator/galculator_2.1.4-1.2_amd64.deb gtk3 (в родных репах gtk2)
jammy|main|amd64 pool/main/g/gpicview/gpicview_0.2.5-3build1_amd64.deb gtk3
jammy|main|i386 pool/main/g/gtkdialog/gtkdialog_0.8.3-1_i386.deb нет в родных репах , gtk3
jammy|main|amd64 pool/main/g/gtkdialog/gtkdialog_0.8.4-1_amd64.deb
jammy|main|i386 pool/main/l/lxpanel/lxpanel-data_0.10.2.r1-1+lf01_all.deb gtk3 c правками
jammy|main|amd64 pool/main/l/lxpanel/lxpanel-data_0.10.2.r1-1+lf01_all.deb
jammy|main|amd64 pool/main/l/lxpanel/lxpanel-dbg_0.10.2.r1-1+lf01_amd64.deb
jammy|main|amd64 pool/main/l/lxpanel/lxpanel-dev_0.10.2.r1-1+lf01_amd64.deb
jammy|main|source pool/main/l/lxpanel/lxpanel_0.10.2.r1-1+lf01.debian.tar.xz
jammy|main|source pool/main/l/lxpanel/lxpanel_0.10.2.r1-1+lf01.dsc
jammy|main|amd64 pool/main/l/lxpanel/lxpanel_0.10.2.r1-1+lf01_amd64.deb
jammy|main|source pool/main/l/lxpanel/lxpanel_0.10.2.r1.orig.tar.xz

Дальнейшие пополнения можно смотреть командой:

--- Код ---
wget -q -O - "http://mirror.yandex.ru/puppyrus/lf/u22/pkg/dists/jammy/main/binary-amd64/Packages"  /dev/null 2>&1 | awk '/^Pack/ {print $2}'
--- Конец кода ---

RoDoN:

--- Цитата: sfs от 25 Декабрь 2023, 15:50:43 ---jammy|main|i386 pool/main/g/gtkdialog/gtkdialog_0.8.3-1_i386.deb нет в родных репах
jammy|main|amd64 pool/main/g/gtkdialog/gtkdialog_0.8.4-1_amd64.deb
--- Конец цитаты ---
Вот за это спасибо!

sfs:

--- Цитата: RoDoN от 25 Декабрь 2023, 16:11:18 ---Вот за это спасибо!
--- Конец цитаты ---
Выкладывал ранее в теме minios

Если кому-чего еще надо - пишите - рассмотрю. С компиляцией в дебиан более менее разобрался...

sfs:
Добавил к репозиторию noble (см. шапку темы) и подключил к нему все имеющиеся пакеты +
cbatticon-gui_24.03-03_all.deb
power-man_24.02-28_all.deb добавил в jammy и noble

sfs:
lxpanel-multiload-ng-plugin-gtk3_1.5.2_amd64.deb
 Я от него отказался. Он постоянно "дергается". Т.е. срыв графика и сначала. Меня раздрожало. Возможно проблема в моем железе или типа того

Навигация

[0] Главная страница сообщений

Перейти к полной версии